import java.util.Arrays;

// import 是导包的关键字， 后面跟着的是【类全路径名】--包名.类名
// 使用某个类的时候，一定要先导包

/**
 * @author WanJl
 * @version 1.0
 * @title Demo03
 * @description 数组工具类 ： java.util.Arrays;   最后的是类名，前面的是包名
 * @create 2026/7/16
 */
public class Demo03 {
    public static void main(String[] args) {
        /*
            数组工具类 ： java.util.Arrays;
            java中的命名特点，如果一个类的类名 是名词+s，那么大多数情况下，这个类就是一个工具类
         */
        int[] arr={7,6,78,1,689,87,165,7,4,5,8};
        //使用工具类对数组进行排序
        Arrays.sort(arr);

        //输出arr数组--Arrays.toString方法 是直接把arr数组转换成字符串
        System.out.println(Arrays.toString(arr));
        // 拷贝（扩展长度，多余补 0）   -- 把一个数组 的元素 复制到一个新的数组并指定新数组的长度，多余补 0
        int[] copy = Arrays.copyOf(arr, 10);
        System.out.println(Arrays.toString(copy));
        // 拷贝指定范围 [1,4)
        int[] range = Arrays.copyOfRange(arr, 1, 4);
        System.out.println(Arrays.toString(range));
        // 二分查找（需先排序），返回 2  --使用二分查找法，查找数组中，是否包含某个元素，如果包含则返回索引值
        int index = Arrays.binarySearch(arr, 689);
        System.out.println(index);
    }
}
